Pay in 4 interest-free payments of $11.00 Learn more
Shipping Estimate
USA
- USA
- CAN
- USA
- CAN
Ships within 48 hours · Estimated delivery Oct 29 - Nov 3
Pay in 4 interest-free payments of $11.00 Learn more
Ships within 48 hours · Estimated delivery Oct 29 - Nov 3
K1186 Series | Blue Part Number
030" 32" 7" 3
8 lbs 6002-20-20 -20 ORFS Male 1-1/4" 1-11/16 - 12 UN -20 BSPP Male 1-1/4" G 1-1/4 - 11 51
250" 9SS4MO6XFP25-Z-AL Zinc AFLAS 2
8:1 21 30 5
RFC100 Dixon Cast Brass Cap with Chain - Rocker Lug - 1" Female NPSH Thread - Powhatan Part #: 17-126-01303 Grip Crimp 4SH Series JIC 37° - 45° Female Swivel K1186 Series | Blue PartPart Number Female Thread Finish Powhatan Part # Weight (Lbs.) RFC100F 1" Female NST (NH) 17 126 00026 0. 3300 RFC150F 1 1 2" Female NST (NH) 17 126 00055 0. 4000 RFC250F 2 1 2" Female NST (NH) 17 126 00303 0. 8700 RFC250F C 2 1 2" Female NST (NH) Polished Chrome Plated 1. 3665 RFC075 3 4" Female NPSH 17 126 00015 0. 2800 RFC100 1" Female NPSH 17 126 01303 0. 3080 RFC150 1 1 2" Female NPSH 0. 6810 RFC200 2" Female NPSH 1. 0000 RFC250 2 1 2" Female
US$ 42.00
US$ 63.00
US$ 44.99
US$ 17.50
US$ 62.00
US$ 96.60
US$ 30.00
US$ 12.60